topfoto  

Onderhoud aan oude Legacy PHP

Een PHP-systeem kan zodanig verouderd zijn dat we dit een Legacy PHP systeem noemen. Bijvoorbeeld als het in PHP4 is opgebouwd. Het gaat om webapplicaties waarvan de meeste programmeurs adviseren over te gaan op 'nieuwbouw'.

U geeft er echter de voorkeur aan dat uw huidige systeem nog doordraait, vanwege kostenaspecten of omdat de processen in uw organisatie rondom de applicatie zijn ingericht. Maar het kan ook zijn dat uw systeem een update nodig heeft omdat systeembeheerders de servers updaten.

Risico's van een verouderd PHP-systeem zijn vaak een gebrek aan documentatie en bovendien zijn hackers dol op oude systemen. Heeft u een idee van wat u verliest op het moment dat het systeem uitvalt? Hoeveel schade lijdt u als hackers het systeem misbruiken? Heeft u een er een beeld van hoelang het duurt het om het systeem te herstellen zonder dat er documentatie is of om iets soortgelijks na te bouwen?

Voorkomen is beter dan genezen

IJsSoft onderzoekt of er Legacy PHP in uw websites en webapplicaties aanwezig is en maakt een aanvalsplan om uitval van uw systemen voor te zijn. Om het plan vervolgens graag te implementeren door het update van code of delen van de code.
Meer weten? Bel dan 036-5497777.